### 5.1.60 intersect

`Syntax:`
  `intersect (` expression_list of ideal_expression `)`
  `intersect (` expression_list of module_expression `)`
`Type:`
  ideal, resp. module
`Purpose:`
  computes the intersection of ideals, resp. modules.
`Note:`
  If the option `prot` is enabled then the result the used method (elimination/syzygies) is displayed.
`Example:`

        ring R=0,(x,y),dp;
        ideal i=x;
        ideal j=y;
        intersect(i,j);
      ==> _[1]=xy
        ring r=181,(x,y,z),(c,ls);
        ideal id1=maxideal(3);
        ideal id2=x2+xyz,y2-z3y,z3+y5xz;
        ideal id3=intersect(id1,id2,ideal(x,y));
        id3;
      ==> id3[1]=yz3+xy6z
      ==> id3[2]=yz4-y2z
      ==> id3[3]=y2z3-y3
      ==> id3[4]=xz3+x2y5z
      ==> id3[5]=xyz2+x2z
      ==> id3[6]=xy2+x2z2
      ==> id3[7]=xy2z+x2y
      ==> id3[8]=x2yz+x3

See ideal; module; option.

User manual for Singular version 4-0-3, 2016, generated by texi2html.